Bug 1349140 - Remove install_packages from the Satellite installation ISOs.
Summary: Remove install_packages from the Satellite installation ISOs.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks: 1416646
TreeView+ depends on / blocked
 
Reported: 2016-06-22 19:08 UTC by Rich Jerrido
Modified: 2019-04-01 20:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 08:23:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rich Jerrido 2016-06-22 19:08:15 UTC
Description of problem:

the install_packages script, provided on the Satellite 6.2 install DVD is currently not functional. 

It doesn't reflect the new satellite-installer command. 

Additionally the script does not provide any /real/ value to the end-user. It only sets up a couple of repos (which we can teach the user how to do in docs) and maybe installs a gpg key. 

However, this comes at the cost of additional burden to test & document it. 


I would recommend that the installation ISOs  solely includes two directories:

- One for the Satellite/capsules
- One for RHSCL


Then we tell the user in docs:

mkdir /mnt/iso
mount Satellite_iso /mnt/iso -o loop
configure .repo
yum install satellite.

Comment 5 Stephen Wadeley 2016-11-08 15:28:20 UTC
Hello

I am just testing the new RHEL7.3 server ISO and the Installation Guide procedure [1]


I noticed that after I configure the main repo for the Satellite ISO:
/etc/yum.repos.d/sat6.repo

I then can see this:
repo id   repo name                                              status
sat6      Red Hat Satellite 6.2.2 for Red Hat Enterprise Linux 7 enabled: 302


and then after configuring this:
/etc/yum.repos.d/RHSCL.repo

I can see this when I `yum reposlist`:

repo id                 repo name                                      status
sat6          Red Hat Satellite 6.2.2 for Red Hat Enterprise Linux 7    302
satellite-local     satellite-local                                     302
scl-local           scl-local                                           2,362

I wonder why we have "satellite-local"?

[1] https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-3-installing-satellite-server#configuring_the_base_system_with_offline_repositories

Comment 7 Stephen Wadeley 2017-02-01 05:04:26 UTC
Hello Ivan

Can we have your opinion on this matter please?

Thank you

Comment 8 Ivan Necas 2017-02-01 10:15:44 UTC
Replied in https://bugzilla.redhat.com/show_bug.cgi?id=1416646

Comment 9 Ivan Necas 2017-02-01 10:17:20 UTC
My reply is here https://bugzilla.redhat.com/show_bug.cgi?id=1416646#c3 (th previous link was not linking to the comment) Accidenataly removed the needinfos on other folks, putting them back

Comment 10 Rich Jerrido 2017-02-12 23:48:21 UTC
If we have plans to improve the capabilities of the install_packages script to be more featureful, then I am in support of keeping it.

Comment 11 Stephen Wadeley 2017-02-20 08:23:23 UTC
Thank you Rich for comment 10

I that case we can close this bug now, I will update docs as per:

Bug 1416646 - installation guide tells to configure redundant offline repositories for sat6 and rhscl


Note You need to log in before you can comment on or make changes to this bug.